Subject: bug#17526: 24.3.90; Crash in Cygwin-w32 build

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 May 2014 18:18:03 +0300

> Date: Mon, 19 May 2014 08:30:49 -0400
> From: Ken Brown <[email-masked]>
> 
> I just got a crash with the following backtrace:
> 
> #0  0x000007fefd5f3ca3 in KERNELBASE!DebugBreak ()
>    from /c/Windows/system32/KERNELBASE.dll
> #1  0x000000010061a344 in emacs_abort ()
>     at /usr/src/debug/emacs-24.3.90-1/src/w32fns.c:8460
> #2  0x000000010043616a in move_it_to (it=0x4284e0, to_charpos=-1, to_x=-1,
>     to_y=-1, to_vpos=10, op=4)
>     at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:9198
> #3  0x0000000100436fc2 in move_it_by_lines (it=0x4284e0, dvpos=10)
>     at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:9490

That's a weird crash.  Any chance of a reproducible recipe?

This is stock Emacs 24.3.90, with no C-level changes, right?

> I still have the gdb session open if further information would be useful.

Yes, please.  I'd like to see the values of these, in frame #2:

  skip
  it->current
  it->current_x
  it->current_y
  it->vpos

Also, what text is there in the window where the scroll command was
attempted, starting from the text position in it->current.pos.charpos
and for 10 screen lines down?

Thanks.